Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.schema
Class SchemaGroup

    java.lang.Object
      |
      +--kodo.jdbc.schema.NameSet
            |
            +--kodo.jdbc.schema.SchemaGroup

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  DynamicSchemaFactory, LazySchemaFactory

public class SchemaGroup
extends NameSet
implements Cloneable

Represents a grouping of schemas used in a database.

Constructor Summary
`SchemaGroup()`

Method Summary
`Schema` | `addSchema()` Add a schema to the group.
`Schema` | `addSchema(String name)` Add a schema to the group.
`Object` | `clone()`
`ForeignKey[]` | `findExportedForeignKeys(PrimaryKey pk)` Find all foreign keys exported by a given primary key (all foreign keys that link to the primary key).
`Table` | `findTable(String name)` Find the table with the given name in the group, using '.' as the catalog separator.
`Table` | `findTable(Table table)` Find the equivalent of the given table in this schema group.
`Schema` | `getSchema(String name)` Return the schema with the given name, or null if none.
`Schema[]` | `getSchemas()` Return all schemas.
`Schema` | `importSchema(Schema schema)` Import a schema from another group.
`protected Column` | `newColumn(String name, Table table)` Return a new column with the given name and owner table.
`protected ForeignKey` | `newForeignKey(String name, Table table)` Return a new foreign key with the given name and owner table.
`protected Index` | `newIndex(String name, Table table)` Return a new index with the given name and owner table.
`protected PrimaryKey` | `newPrimaryKey(String name, Table table)` Return a new primary key with the given name and owner table.
`protected Schema` | `newSchema(String name)` Return a new schema with the given name.
`protected Table` | `newTable(String name, Schema schema)` Return a new table with the given name and owner schema.
`boolean` | `removeSchema(Schema schema)` Remove the given schema from the group.
`void` | `removeUnusedComponents()` Remove unreferenced or emtpy components from the schema.

Methods inherited from class kodo.jdbc.schema.NameSet
`addName, isNameTaken, removeName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaGroup

    public SchemaGroup()

Method Detail

### getSchemas

    public Schema[] getSchemas()

  Return all schemas.

### getSchema

    public Schema getSchema(String name)

  Return the schema with the given name, or null if none.

### addSchema

    public Schema addSchema()

  Add a schema to the group.

### addSchema

    public Schema addSchema(String name)

  Add a schema to the group.

### removeSchema

    public boolean removeSchema(Schema schema)

  Remove the given schema from the group.
  Returns:
    true if the schema was removed, false if not in the group

### importSchema

    public Schema importSchema(Schema schema)

  Import a schema from another group. Foreign keys are not imported.

### findTable

    public Table findTable(Table table)

  Find the equivalent of the given table in this schema group. The given table that may have come from another schema group.

### findTable

    public Table findTable(String name)

  Find the table with the given name in the group, using '.' as the catalog separator. Returns null if no table found.

### findExportedForeignKeys

    public ForeignKey[] findExportedForeignKeys(PrimaryKey pk)

  Find all foreign keys exported by a given primary key (all foreign keys that link to the primary key).

### removeUnusedComponents

    public void removeUnusedComponents()

  Remove unreferenced or emtpy components from the schema.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### newSchema

    protected Schema newSchema(String name)

  Return a new schema with the given name.

### newTable

    protected Table newTable(String name,
                             Schema schema)

  Return a new table with the given name and owner schema.

### newColumn

    protected Column newColumn(String name,
                               Table table)

  Return a new column with the given name and owner table.

### newPrimaryKey

    protected PrimaryKey newPrimaryKey(String name,
                                       Table table)

  Return a new primary key with the given name and owner table.

### newIndex

    protected Index newIndex(String name,
                             Table table)

  Return a new index with the given name and owner table.

### newForeignKey

    protected ForeignKey newForeignKey(String name,
                                       Table table)

  Return a new foreign key with the given name and owner table.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.